﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using KellermanSoftware.CsvReports;

namespace CSV_Reports_Demo
{
    public partial class frmCsvReports : Form
    {
        private DataTable _dt = null;

        public frmCsvReports()
        {
            InitializeComponent();
        }

        private void btnLoad_Click(object sender, EventArgs e)
        {
            if (dlgOpen.ShowDialog(this) == DialogResult.OK)
            {
                CsvReader csvReader = new CsvReader();
                _dt = csvReader.CsvFileToDataTable(dlgOpen.FileName);
                grid.DataSource = _dt;
            }
        }

        private void btnSave_Click(object sender, EventArgs e)
        {
            if (_dt == null)
            {
                MessageBox.Show("Please load a CSV file first");
                return;
            }

            if (dlgSave.ShowDialog(this) == DialogResult.OK)
            {
                CsvWriter csvWriter = new CsvWriter();
                csvWriter.DataTableToCsvFile(_dt,dlgSave.FileName);
            }
        }
    }
}
